- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.ListGuardianInvitationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#try-it)

Returns a list of guardian invitations that the requesting user is permitted to view, filtered by the parameters provided.

This method returns the following error codes:

- `PERMISSION_DENIED` if a `studentId` is specified, and the requesting user is not permitted to view guardian invitations for that student, if `"-"` is specified as the `studentId` and the user is not a domain administrator, if guardians are not enabled for the domain in question, or for other [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if a `studentId` is specified, but its format cannot be recognized (it is not an email address, nor a `studentId` from the API, nor the literal string `me`). May also be returned if an invalid `pageToken` or `state` is provided.
- `NOT_FOUND` if a `studentId` is specified, and its format can be recognized, but Classroom has no record of that student.

### HTTP request

`GET https://classroom.googleapis.com/v1/userProfiles/{studentId}/guardianInvitations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `studentId` | `string` The ID of the student whose guardian invitations are to be returned. The identifier can be one of the following: - the numeric identifier for the user - the email address of the user - the string literal `"me"`, indicating the requesting user - the string literal `"-"`, indicating that results should be returned for all students that the requesting user is permitted to view guardian invitations. |

### Query parameters

| Parameters ||
|---|---|
| `invitedEmailAddress` | `string` If specified, only results with the specified `invitedEmailAddress` are returned. |
| `states[]` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations#GuardianInvitationState`)`` If specified, only results with the specified `state` values are returned. Otherwise, results with a `state` of `PENDING` are returned. |
| `pageToken` | `string` `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#body.ListGuardianInvitationsResponse.FIELDS.next_page_token` value returned from a previous `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#google.classroom.v1.GuardianInvitations.ListGuardianInvitations` call, indicating that the subsequent page of results should be returned. The `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations/list#google.classroom.v1.GuardianInvitations.ListGuardianInvitations` request must be otherwise identical to the one that resulted in this token. |
| `pageSize` | `integer` Maximum number of items to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. |

### Request body

The request body must be empty.

### Response body

Response when listing guardian invitations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "guardianInvitations": [ { object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations#GuardianInvitation`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `guardianInvitations[]` | ``object (`https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles.guardianInvitations#GuardianInvitation`)`` Guardian invitations that matched the list request. |
| `nextPageToken` | `string` Token identifying the next page of results to return. If empty, no further results are available. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.guardianlinks.students.readonly`
- `
  https://www.googleapis.com/auth/classroom.guardianlinks.students`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).